Subject: Re: Invoice 1647453
From: "LLPS Customer Service" <[email-masked]>
To: "Donna Menneke" <[email-masked]>
Date: Wed, 2 Jan 2013 10:39:02 -0500

Hello Donna.
We updated the company information and are mailing the posters to your attention.
Thank you,
LLPS

From: Donna Menneke 
Sent: Wednesday, January 02, 2013 2:12 AM
To: [email-masked] 
Subject: RE: Invoice 1647453

Hi,
 
Yes the order is mine.  I'm sorry for the confusion, I own the Dairy Queen; but I also manage Michael J. Flores, M.D.  The posters I ordered are for the Dairy Queen.  You can remove Dr. Flores' name from the invoice.  Please let me know if this resolves your issues.  Thanks so much, have a great day.
 
Donna Menneke
928-774-3318

> Date: Fri, 14 Dec 2012 13:11:14 -0500
> From: [email-masked]
> To: [email-masked]
> Subject: Invoice 1647453
> 
> Hi Donna, The following is an invoice for an order we sent out. Not sure if it came from your company. The address seems to match the Dairy Queen but for some reason we had Michael J Flores for the company name. The order form that was mailed into us was blank so we sent the posters to the address on the form. We called the Dairy Queen a few times but the employees would not take a message. The gentleman I spoke with today gave me your email address. If this order did come from you, please call us and we will correct the name on the order and reship the posters. Thank you!
> 
> -------------------------
> Thank you for your order. Your invoice is attached.
> 
> This is an automatically generated message from Labor Law Poster Service. 
> UID: 6